[metadata]
name = drb-driver-csv
author = GAEL Systems
author_email = drb-python@gael.fr
url = https://gitlab.com/drb-python/impl/csv
description = DRB Python CSV Driver
long_description = file: README.md
long_description_content_type = text/markdown
license = LGPLv3
classifiers =
    Programming Language :: Python :: 3.8
    Environment :: Plugins
    License :: OSI Approved :: GNU Lesser General Public License v3 (LGPLv3)
project_urls =
    Source = https://gitlab.com/drb-python/impl/csv

[options]
zip_safe = False
include_package_data = True
packages = find_namespace:
python_requires = >=3.8
install_requires = file: requirements.txt

[options.packages.find]
include =
    drb.*
exclude =
    test*
    docs*

[options.package_data]
drb.topics.csv =
    cortex.yml

[options.entry_points]
drb.topic =
    csv = drb.topics.csv
drb.driver =
    csv = drb.drivers.csv:CsvNodeFactory

[versioneer]
VCS = git
style = pep440
versionfile_source = drb/drivers/csv/_version.py
versionfile_build = drb/drivers/csv/_version.py
